# DeTEE Cloud

The mission of DeTEE is to create a decentralized cloud solution that functions as an open market for hardware resources. The DeTEE protocol is connecting the customers (mostly software companies) and the service providers (node operators), ensuring the business activity of all participants runs smoothly. In order to make the decentralized network feel like a cloud platform, DeTEE inspired the user experience from popular cloud products (Kubernetes, Openstack, AWS, GCP), and optimized and simplified the flow to the benefit of the end user.

In order to make the environment business-friendly, guarantees regarding security and privacy must be offered by the software powering the platform. In order to achieve this, DeTEE leverages the hardware capabilities of TEEs into the core of the platform, working already with Intel SGX and AMD SEV-SNP, and planning to integrate Intel TDX, AMD Trustzone and NVIDIA H100 GPUs in the future. As we can’t be responsible for the reliability of the hardware itself, the strategy of DeTEE involves offering users the possibility to choose the hardware they work with, and to easily migrate their applications from one system to another.

The DeTEE cloud will soon enter the testnet phase, allowing members of our community to deploy containers and VMs on the DeTEE network. The testnet does not guarantee stability (actually it guarantees disruptions, as we are actively developing the software).

<script type="text/javascript" id="hcb" src="/js/comments.js"></script><div id="HCB_comment_box"></div><link rel="stylesheet" type="text/css" href="/css/comments.css"/>
