# DeTEE Security Overview

In order to provide the most secure and reliable Virtual Machines and Containers,
DeTEE is relying on a few key technologies and techniques:

- **Intel SGX** (Software Guard Extensions);
- **AMD SEV** (Secure Encrypted Virtualization);
- **Intel SGX DCAP** (Data Center Attestation Primitives);
- [**mRATLS**](./ratls.md#mRATLS) (Mutual Remote Attestation Transport Layer Security);
- [**hRATLS**](./ratls.md#hRATLS) (Hybrid Remote Attestation Transport Layer Security);
- [**Sealing**](./sealing.md) (Technique of saving sensitive information to the untrusted disk).

<script type="text/javascript" id="hcb" src="/js/comments.js"></script><div id="HCB_comment_box"></div><link rel="stylesheet" type="text/css" href="/css/comments.css"/>
